Upgrade Jenkins instances to 2.138.3
Closed, ResolvedPublic

Description

A new minor Jenkins version is out. From https://jenkins.io/changelog-stable/

What's new in 2.138.3 (2018-11-08)

hashar created this task.Nov 12 2018, 9:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2018, 9:20 AM

Guten Tag Moritz, would you be kind enough to refresh the Jenkins Debian package in reprepro? https://wikitech.wikimedia.org/wiki/Jenkins#Updating

We should get 2.138.3 to:

DistributionComponent
jessie-wikimediathirdparty/ci
stretch-wikimediathirdparty/ci

We might want to remove 2.138.2 from jessie-wikimedia/thirdparty (the component should have been thirdparty/ci).

MoritzMuehlenhoff closed this task as Resolved.Nov 12 2018, 12:02 PM
MoritzMuehlenhoff claimed this task.

I've uploaded 2.138.3 for jessie and stretch. The component names are correct, we've only introduced the concept of dedicated components for thirdparty with stretch. So for jessie it went into "thirdparty" and for stretch into "thirdparty/ci".

MoritzMuehlenhoff reopened this task as Open.Nov 12 2018, 12:06 PM

This was closed prematurely.

I've uploaded 2.138.3 for jessie and stretch. The component names are correct, we've only introduced the concept of dedicated components for thirdparty with stretch. So for jessie it went into "thirdparty" and for stretch into "thirdparty/ci".

That explains it thanks. For Jessie can you drop Jenkins the old 2.121.2 which is under jessie-wikimedia/thirdparty/ci ?

Mentioned in SAL (#wikimedia-operations) [2018-11-12T13:55:11Z] <hashar> Upgrading Jenkins on contint1001 , contint2001, releases1001 and releases2002 | T209264